DynamicJava Javadoc: Class JavaFieldInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Class JavaFieldInfo

    java.lang.Object
      |
      +--koala.dynamicjava.classinfo.JavaFieldInfo

All Implemented Interfaces:
  FieldInfo

public class JavaFieldInfo
extends java.lang.Object
implements FieldInfo

The instances of this class provides informations about class fields compiled to JVM bytecode.

Constructor Summary
`JavaFieldInfo(java.lang.reflect.Field f)` Creates a new class info

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one
`int` | `getModifiers()` Returns the modifiers for the field represented by this object
`java.lang.String` | `getName()` Returns the fully qualified name of the underlying field
`ClassInfo` | `getType()` Returns the type of the underlying field

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaFieldInfo

    public JavaFieldInfo(java.lang.reflect.Field f)

  Creates a new class info
  Parameters:
    `f` - the java field

Method Detail

### getModifiers

    public int getModifiers()

  Returns the modifiers for the field represented by this object
  Specified by:
    `getModifiers` in interface `FieldInfo`

### getType

    public ClassInfo getType()

  Returns the type of the underlying field
  Specified by:
    `getType` in interface `FieldInfo`

### getName

    public java.lang.String getName()

  Returns the fully qualified name of the underlying field
  Specified by:
    `getName` in interface `FieldInfo`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one
  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.